Subject: Re: [secdir] secdir review of draft-ietf-csi-sndp-prob

From: Stephen Farrell <[email-masked]>
Date: Fri, 04 Dec 2009 17:34:56 +0000

Looks fine to me,
S.

Jean-Michel Combes wrote:
> Hi Stephen,
> 
> at first, thanks for your review.
> 
> 2009/12/1 Stephen Farrell <[email-masked]>:
>> (Re-tx, messed up draft address 1st tiime, please cc [email-masked]
>> on any response)
>>
>> I have reviewed this document as part of the security directorate's
>> ongoing effort to review all IETF documents being processed by the
>> IESG. These comments were written primarily for the benefit of the
>> security area directors. Document editors and WG chairs should treat
>> these comments just like any other last call comments.
>>
>> The draft is a generally well-written description of some issues with
>> securing neighbour discovery when proxies are involved. As a problem
>> statement draft I find it just fine.
>>
>> I have two minor security comments and a few nits below.
>> Stephen.
>>
>> 1. The suggestion at the end of 4.2 that certificate serial number
>> or time field ordering be used to indicate relationships between
>> end entities seems very hacky. I'd suggest either deleting that
>> if its felt to be unlikely used, or else, if its actually
>> likely to be used, then documenting how it could actually work
> 
> OK. I am going to delete the text in the new version of the draft.
> 
>> 2. 7.2 mentions "signed, non-repudiable certificates" which is a
>> horribly odd phrase. Hopefully that's just sloppy language.
>> (s/signed, non-repudiable//), but if not, then its a concern (the
>> concern being that non-repudiation in protocols is mythical).
> 
> OK. I am going to delete "signed, non-repudiable" in the new version
> of the draft.
> 
>> Nits:
>>
>> 1. 2nd last para of 3.1: fix word ordering in last sentence, think it
>> ought say:
>>
>>  Such a message would be valid according to the SEND specification, if the
>>  Target Address and the source IPv6 address of the Neighbor Advertisement
>>  weren't different [RFC3971].
> 
> In fact, I am going to change the sentence as follows:
> "To be valid according to the SEND specification, the Target Address
> of the Neighbor Advertisement message would need to be replaced also
> to be equal to the Source Address [RFC3971]."
> The reason is that the Source Address and the Target Address are
> required to be equal (cf. RFC3971, section 7.4).
> Is it OK for you such a change?
> 
>> 2. 2.2.4 1st para: similar word ordering, maybe:
>>
>>  The router or CA may then be able to certify proxying for
>>  only a subset of the prefixes for which it is certified.
> 
> OK. Fixed in the new version of the draft.
> 
>> 3. 1st sentence of 7.2: s/The certificagte delegation/Certificate
>> delegation/
> 
> OK. Fixed in the new version of the draft.
> 
> Thanks again for your review.
> 
> Best regards.
> 
> JMC.
>

---

From: Jean-Michel Combes <[email-masked]>
Date: Fri, 4 Dec 2009 18:31:15 +0100

Hi Stephen,

Best regards.

JMC.